<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mi Portfolio</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- La biblioteca "normalize" ayudará al sitio web a verse de la manera deseada independientemente del navegador web del usuario -->
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Agregar fuentes externas de Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Otras fuentes -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Incluir demasiadas fuentes externas aumentará el tiempo de carga de la página web -->
</head>
<body>
    <header class="hero"> 
        <div class="hero-content">
            <h1 class="no_margin">Mi Portfolio</h1>
            <h2>Lucas Pardina - Aspirante a Ingeniero en Computación</h2>
            <div class="my_location">
                <!-- Icono de Ubicación -->
                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-map-pin" width="50" height="50" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                <circle cx="12" cy="11" r="3" />
                <path d="M17.657 16.657l-4.243 4.243a2 2 0 0 1 -2.827 0l-4.244 -4.243a8 8 0 1 1 11.314 0z" />
                </svg>
                <!-- Icono de Ubicación -->
                <p>Córdoba, Argentina</p>
            </div>
            <a class="button" href="https://gitlab.com/spanish3" target="_blank">Mi Perfil en Gitlab</a>
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
            <div class="w-small-100 myUser no_margin">
                <div class="languageIcon"></div>
                <select class="languageSelect" id="changeLanguage">
                    <option class="button-text" value="Spanish">Español</option>
                    <option class="button-text" value="English">English</option>
                </select>
            </div>
            <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav">
                <a href="myProjectsSpanish.html">Mis Proyectos</a>
                <a href="aboutMeSpanish.html">Acerca de Mí</a>
                <a href="reviewsSpanish.html">Mis Reseñas</a>
                <a href="contactMeSpanish.html">Contacto</a>
            </nav>
        </div>
    </header>
    <main class="myContainer shadow">
        <h3>Mis Habilidades</h3>
        <div class="myServices">
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-cpu" width="92" height="92" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M5 5m0 1a1 1 0 0 1 1 -1h12a1 1 0 0 1 1 1v12a1 1 0 0 1 -1 1h-12a1 1 0 0 1 -1 -1z" />
                        <path d="M9 9h6v6h-6z" />
                        <path d="M3 10h2" />
                        <path d="M3 14h2" />
                        <path d="M10 3v2" />
                        <path d="M14 3v2" />
                        <path d="M21 10h-2" />
                        <path d="M21 14h-2" />
                        <path d="M14 21v-2" />
                        <path d="M10 21v-2" />
                    </svg>
                </div>
                <h3>Desarrollo de Sistemas Embebidos</h3>
                <p>Como Técnico Electrónico experimentado, he tenido la oportunidad de trabajar en el Desarrollo de Software Empotrado en diversas plataformas de microcontroladores como PIC,
                     ARM, Raspberry PI y NodeMCU ESP8266. Desde mis días en la escuela secundaria hasta mis años de universidad, he perfeccionado mi competencia en C y ensamblador. Me he vuelto
                      experto en una variedad de periféricos, incluidos temporizadores, ADC, GPIO, interrupciones externas, UART, PWM y más. Me apasiona diseñar sistemas empotrados eficientes
                       y confiables y he completado con éxito proyectos que reflejan mi dedicación en este campo.</p>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-devices-2" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 15h-6a1 1 0 0 1 -1 -1v-8a1 1 0 0 1 1 -1h6" />
                        <path d="M13 4m0 1a1 1 0 0 1 1 -1h6a1 1 0 0 1 1 1v14a1 1 0 0 1 -1 1h-6a1 1 0 0 1 -1 -1z" />
                        <path d="M7 19l3 0" />
                        <path d="M17 8l0 .01" />
                        <path d="M17 16m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                        <path d="M9 15l0 4" />
                    </svg>
                </div>
                <h3>Desarrollo de Software e Informática</h3>
                <p>En la búsqueda de mi título de Ingeniero en Computación, he adquirido un amplio conjunto de herramientas de desarrollo de software. Me he vuelto competente en la Programación Orientada a Objetos, principalmente en Java. La concurrencia ha sido un área significativa de exploración, lo que me permite abordar las complejidades de la programación en paralelo. También he perfeccionado mis habilidades en estructuras de datos y algoritmos. Aunque no soy un experto, he incursionado en expresiones regulares, utilizándolas efectivamente en proyectos específicos. Estas habilidades en conjunto me han proporcionado un sólido conjunto de herramientas para la resolución de problemas.</p>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <!-- Icono de Web -->
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-browser" width="76" height="76" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <rect x="4" y="4" width="16" height="16" rx="1" />
                        <line x1="4" y1="8" x2="20" y2="8" />
                        <line x1="8" y1="4" x2="8" y2="8" />
                    </svg>
                    <!-- Icono de Web -->
                </div>
                <h3>Desarrollo Web</h3>
                <p>Estoy en constante desarrollo web a través de cursos en curso y experiencia práctica. Tengo un buen dominio de HTML, CSS y JavaScript, que utilizo para crear aplicaciones web fáciles de usar. También he trabajado con bases de datos, como Firebase, y he incursionado en el desarrollo del lado del servidor mediante la creación de una API REST en C. Esta experiencia me ha brindado información sobre el diseño y la implementación de soluciones sólidas y eficientes del lado del servidor, así como el manejo de puntos finales HTTP para la comunicación de datos.</p>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-atom" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M12 12v.01" />
                        <path d="M19.071 4.929c-1.562 -1.562 -6 .337 -9.9 4.243c-3.905 3.905 -5.804 8.337 -4.242 9.9c1.562 1.561 6 -.338 9.9 -4.244c3.905 -3.905 5.804 -8.337 4.242 -9.9" />
                        <path d="M4.929 4.929c-1.562 1.562 .337 6 4.243 9.9c3.905 3.905 8.337 5.804 9.9 4.242c1.561 -1.562 -.338 -6 -4.244 -9.9c-3.905 -3.905 -8.337 -5.804 -9.9 -4.242" />
                    </svg>
                </div>
                <h3>Electrónica</h3>
                <p>Para convertirme en técnico electrónico durante la escuela secundaria, adquirí diversas habilidades en el campo de la electrónica. Aprendí a diseñar PCB y fabricarlos para crear prototipos, adquirí experiencia en el diseño de circuitos electrónicos, tanto analógicos como digitales. Trabajé con componentes como inductores, resistores, condensadores, motores, transistores, relés, diodos, transformadores y varios elementos lógicos. Este conocimiento fundamental ha resultado valioso en mi desarrollo como ingeniero en informática, lo que me permite contribuir a una amplia gama de proyectos y cerrar la brecha entre los dominios de hardware y software. También tengo cierta exposición a los sistemas de control, incluyendo sistemas de lazo abierto/cerrado, funciones de transferencia y control proporcional, integral y derivativo, aunque ha pasado algún tiempo desde que trabajé con ellos y sigo siendo modesto acerca de mi competencia en esta área.</p>
            </section>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-braces" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M7 4a2 2 0 0 0 -2 2v3a2 3 0 0 1 -2 3a2 3 0 0 1 2 3v3a2 2 0 0 0 2 2" />
                        <path d="M17 4a2 2 0 0 1 2 2v3a2 3 0 0 0 2 3a2 3 0 0 0 -2 3v3a2 2 0 0 1 -2 2" />
                    </svg>
                </div>
                <h3>Sistemas Operativos</h3>
                <p>Mi recorrido en ingeniería en informática me llevó a explorar una amplia gama de sistemas operativos. Durante mis cursos y proyectos personales, he trabajado con sistemas como Windows, Linux y sistemas operativos en tiempo real. He desarrollado aplicaciones tanto para Windows como para Linux, lo que me ha brindado experiencia en el desarrollo de software en plataformas variadas. También he trabajado con sistemas de archivos y programación de bajo nivel en sistemas embebidos. Esta experiencia ha enriquecido mi comprensión de la informática y me ha proporcionado una base sólida para trabajar en entornos variados.</p>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <!-- Iconos para Android e iOS -->
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-android" width="40" height="40" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <line x1="4" y1="10" x2="4" y2="16" />
                        <line x1="20" y1="10" x2="20" y2="16" />
                        <path d="M7 9h10v8a1 1 0 0 1 -1 1h-8a1 1 0 0 1 -1 -1v-8a5 5 0 0 1 10 0" />
                        <line x1="8" y1="3" x2="9" y2="5" />
                        <line x1="16" y1="3" x2="15" y2="5" />
                        <line x1="9" y1="18" x2="9" y2="21" />
                        <line x1="15" y1="18" x2="15" y2="21" />
                    </svg>
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-mobile" width="70" height="70" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <rect x="7" y="4" width="10" height="16" rx="1" />
                        <line x1="11" y1="5" x2="13" y2="5" />
                        <line x1="12" y1="17" x2="12" y2="17.01" />
                    </svg>
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-brand-apple" width="40" height="40" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M9 7c-3 0 -4 3 -4 5.5c0 3 2 7.5 4 7.5c1.088 -.046 1.679 -.5 3 -.5c1.312 0 1.5 .5 3 .5s4 -3 4 -5c-.028 -.01 -2.472 -.403 -2.5 -3c-.019 -2.17 2.416 -2.954 2.5 -3c-1.023 -1.492 -2.951 -1.963 -3.5 -2c-1.433 -.111 -2.83 1 -3.5 1c-.68 0 -1.9 -1 -3 -1z" />
                        <path d="M12 4a2 2 0 0 0 2 -2a2 2 0 0 0 -2 2" />
                    </svg>
                    <!-- Iconos para Android e iOS -->
                </div> <!-- .myIcons -->
                <h3>Desarrollo de Aplicaciones Móviles</h3>
                <p>Aunque aún me encuentro en las primeras etapas de mi viaje en el desarrollo de aplicaciones móviles, estoy comprometido a ampliar mi experiencia en este emocionante campo. Mi enfoque actual se centra en el aprendizaje del desarrollo web y React, con el objetivo de dominar eventualmente React Native. Esta aproximación me permite diseñar sitios web y llevarlos sin problemas a aplicaciones móviles tanto para plataformas iOS como Android. Estoy ansioso por explorar el mundo del desarrollo de aplicaciones móviles y seguir perfeccionando mis habilidades en este campo en constante evolución.</p>
            </section>
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-users" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M9 7m-4 0a4 4 0 1 0 8 0a4 4 0 1 0 -8 0" />
                        <path d="M3 21v-2a4 4 0 0 1 4 -4h4a4 4 0 0 1 4 4v2" />
                        <path d="M16 3.13a4 4 0 0 1 0 7.75" />
                        <path d="M21 21v-2a4 4 0 0 0 -3 -3.85" />
                    </svg>
                </div><!-- .myIcons -->
                <h3>Ingeniería de Software</h3>
                <p>Aprendí a analizar cuidadosamente los requisitos del usuario para transformarlos en planes de desarrollo ejecutables. Además, adquirí experiencia en el uso de plataformas de control de versiones como Git y tengo un entendimiento fundamental de las metodologías ágiles. Estas habilidades me permiten contribuir de manera efectiva a proyectos de software, asegurando que se alineen con las necesidades del usuario y se adhieran a prácticas eficientes de gestión de proyectos.</p>
            </section> 
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-building-broadcast-tower" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                        <path d="M16.616 13.924a5 5 0 1 0 -9.23 0" />
                        <path d="M20.307 15.469a9 9 0 1 0 -16.615 0" />
                        <path d="M9 21l3 -9l3 9" />
                        <path d="M10 19h4" />
                    </svg>
                </div><!-- .myIcons -->
                <h3>Fundamentos de Redes</h3>
                <p>He adquirido una comprensión fundamental de los protocolos de Internet y los principios de redes a través de mis cursos y experiencia práctica. Aunque ha pasado un tiempo desde que configuré activamente redes y servidores, puedo trabajar con confianza en los requisitos de Internet en aplicaciones de software. Mi experiencia incluye la configuración de redes, el uso de Docker, el manejo de proxies y la comprensión de IPv6. Mi conocimiento de los fundamentos de la pila TCP/IP me permite desarrollar aplicaciones con funcionalidades relacionadas con Internet.</p>
            </section>                        
            <section class="myService">
                <div class="myIcons">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-device-desktop-cog" width="80" height="80" viewBox="0 0 24 24" stroke-width="1.5" stroke="#FFD700" fill="none" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path d="M12 16h-8a1 1 0 0 1 -1 -1v-10a1 1 0 0 1 1 -1h16a1 1 0 0 1 1 1v7" />
                        <path d="M7 20h5" />
                        <path d="M9 16v4" />
                        <path d="M19.001 19m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0" />
                        <path d="M19.001 15.5v1.5" />
                        <path d="M19.001 21v1.5" />
                        <path d="M22.032 17.25l-1.299 .75" />
                        <path d="M17.27 20l-1.3 .75" />
                        <path d="M15.97 17.25l1.3 .75" />
                        <path d="M20.733 20l1.3 .75" />
                    </svg>
                </div><!-- .myIcons -->
                <h3>Arquitectura de Computadoras</h3>
                <p>A lo largo de mis estudios de ingeniería en informática, he explorado las profundidades de la arquitectura de computadoras. Este viaje incluyó la construcción de un procesador MIPS segmentado, dominando sus componentes, técnicas de segmentación, gestión de riesgos y adquirir competencia en lenguaje ensamblador x86. También he comprendido la memoria segmentada, el mecanismo de paginación y los mecanismos de protección. Mi trabajo académico me introdujo en el cambio de contexto de tareas, optimización del paralelismo a nivel de instrucciones y el papel fundamental de la memoria caché y las jerarquías de memoria en el rendimiento del sistema.</p>
            </section>            
        </div>
        <section>
            <h4>¿Te gusta mi trabajo?</h4>
            <form class="myForm" id="reviewForm">
                <fieldset>
                  <div class="center-legend">
                    <legend class="myLegend">Escribe una reseña!</legend>
                  </div><!-- .center-legend -->
                  <div class="field-container">
                    <div class="myField">
                      <label>Name</label>
                      <input class="input-text" type="text" name="name" placeholder="Your name" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>Phone number</label>
                      <input class="input-text" type="tel" name="phone" placeholder="Your phone number" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>E-mail Address</label>
                      <input class="input-text" type="email" name="email" placeholder="Your e-mail address" />
                    </div><!-- .myField -->
              
                    <div class="myField">
                      <label>Message</label>
                      <textarea class="input-text" name="message" placeholder="Write me a message"></textarea>
                    </div><!-- .myField -->
              
                  </div><!-- .field-container -->
              
                  <div class="align-right flex">
                    <input class="w-small-100 button no_margin" type="submit" value="Enviar" />
                  </div>
                </fieldset>
              </form><!-- .myFrom -->              
        </section>
    </main>
    <footer class="footer">
        <p>Todos los derechos reservados</p>
    </footer>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "index.html"; // Change to the English page
            } else if (selectedValue === "Spanish") {
            window.location.href = "indexSpanish.html"; // Change to the Spanish page
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/index.bundle.js"></script>
</body>